ActionController::Routing::Routes.draw do |map|
  map.with_options :controller => 'multiple_files_upload' do |mfu_routes|
    mfu_routes.with_options :conditions => {:method => :get} do |mfu_views|
	    mfu_views.connect 'multiple_files_upload', :action => 'index'
      mfu_views.connect 'multiple_files_upload/download', :action => 'download'
    end
    mfu_routes.with_options :conditions => {:method => :post} do |mfu_actions|
	    mfu_actions.connect 'multiple_files_upload', :action => 'index'
	    mfu_actions.connect 'multiple_files_upload/upload', :action => 'upload'
      mfu_actions.connect 'multiple_files_upload/download_zip', :action => 'download_zip'
    end
  end
end
